if (HAPTIX-COMM_CONFIG_INCLUDED)
  return()
endif()
set(HAPTIX-COMM_CONFIG_INCLUDED TRUE)

list(APPEND HAPTIX-COMM_INCLUDE_DIRS /usr/include)

list(APPEND HAPTIX-COMM_LIBRARY_DIRS /usr/lib/i386-linux-gnu)

list(APPEND HAPTIX-COMM_CFLAGS -I/usr/include)

list(APPEND HAPTIX-COMM_CXX_FLAGS -std=c++11)
if ("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
  set(HAPTIX-COMM_CXX_FLAGS "${HAPTIX-COMM_CXX_FLAGS} -stdlib=libc++")
endif ()

foreach(lib haptix-comm;haptix-msgs)
  set(onelib "${lib}-NOTFOUND")
  find_library(onelib ${lib}
    PATHS /usr/lib/i386-linux-gnu
    NO_DEFAULT_PATH
    )
  if(NOT onelib)
    message(FATAL_ERROR "Library '${lib}' in package HAPTIX-COMM is not installed properly")
  endif()
  list(APPEND HAPTIX-COMM_LIBRARIES ${onelib})
endforeach()

foreach(dep )
  if(NOT ${dep}_FOUND)
    find_package(${dep} REQUIRED)
  endif()
  string(TOUPPER ${dep} dep_upper)
  list(APPEND HAPTIX-COMM_INCLUDE_DIRS ${${dep_upper}_INCLUDE_DIRS})
  list(APPEND HAPTIX-COMM_LIBRARIES ${${dep_upper}_LIBRARIES})
endforeach()

list(APPEND HAPTIX-COMM_LDFLAGS -L/usr/lib/i386-linux-gnu)
